/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	カフェテリア　個別テーブルデータアクセスクラス
//			変更履歴
//				2005.12.19	新規作成	大賀俊彦 
//
//
package jp.co.ntt.lms.lo.Cafeteria;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Timestamp;
import java.util.Hashtable;
import java.util.Vector;

import org.apache.commons.lang.StringEscapeUtils;

import jp.co.ntt.lms.lo.LOException;
import jp.co.ntt.lms.lo.LoDataAccess;
import jp.co.ntt.lms.lo.LoPropertyDef;
import jp.co.ntt.lms.xmo.DataAccess;
import jp.co.ntt.lms.xmo.Environment;
import jp.co.ntt.lms.xmo.util.ChangeEncode;
import jp.co.ntt.lms.xmo.util.DebugLog;
import jp.co.ntt.lms.xmo.util.SqlEscape;
import jp.co.ntt.lms.xmo.util.XMODate;


/**
 * Cafeteria　個別テーブルデータアクセスクラスです。<BR>
 */
public class CafeteriaLoDataAccess extends LoDataAccess 
	implements CafeteriaLoTable
{

	/**
	 * コンストラクタ
	 **/
	public CafeteriaLoDataAccess() {
	}

	/**
	 * Cafeteria　個別テーブルへ登録処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void insert( Hashtable htbParam )
		throws LOException
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME);
		try {
			// トランザクションを開始する
			objDataAccess.trans( htbParam );

			// ①ハッシュからCafeteriaLoテーブル必要なデータのみ取得します

			Hashtable htbData = changeData( htbParam );
			insertAction( htbData, objDataAccess );

			// ②ハッシュからCafeteriaLoListテーブル必要なデータのみ取得し,
			//　登録処理を行います。
			insertLoList( htbParam, objDataAccess );

			// ③ハッシュからPrimaryApproverListテーブル必要なデータのみ取得し,
			//　登録処理を行います。
			insertApproverList( htbParam, objDataAccess, TABLE_NAME4);

			// ④ハッシュからApproverListテーブル必要なデータのみ取得し,
			//　登録処理を行います。
			insertApproverList( htbParam, objDataAccess, TABLE_NAME5);

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			e.printStackTrace();
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}

	/**
	 * CafeteriaLoList個別テーブルへ登録処理を行います
	 * @param htbParam パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void insertLoList( Hashtable htbParam, DataAccess objDataAccess )
		throws SQLException
	{
		// ハッシュからCafeteriaLoListテーブル必要なデータのみ取得します
		CafeteriaLoData objGetList = (CafeteriaLoData)htbParam.get(CAFETERIA_LIST_DATA);
		//リストデータがある場合リストテーブルに設定する
		CafeteriaLoListData[] objList = objGetList.getLoList();

		for(int i=0; i<objList.length; i++){
			Hashtable htbDataList = (Hashtable)changeDataLoList( htbParam,objList[i] );

			//CafeteriaLoList　個別テーブルへの登録処理を行います
			insertActionLoList(htbDataList, objDataAccess );
		}

	}

	/**
	 * ApproverList個別テーブルへ登録処理を行います
	 * @param htbParam パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void insertApproverList( Hashtable htbParam, DataAccess objDataAccess, String strTableName )
		throws SQLException
	{
		CafeteriaLoData objGetList = null;
		CafeteriaApproverListData[] objList = null;

		// ハッシュからPrimaryApprover_Listテーブル必要なデータのみ取得します
		if(strTableName.equals(TABLE_NAME4)){
			objGetList = (CafeteriaLoData)htbParam.get(PRIMARYAPPROVER_LIST_DATA);
			if(objGetList != null){
				//リストデータがある場合リストテーブルに設定する
				objList = objGetList.getPrimaryApproverList();
			}
		}
		else{
			objGetList = (CafeteriaLoData)htbParam.get(APPROVER_LIST_DATA);
			if(objGetList != null){
				//リストデータがある場合リストテーブルに設定する
				objList = objGetList.getApproverList();
			}
		}

		if(objList != null){
			for(int i=0; i<objList.length; i++){
				Hashtable htbDataList = (Hashtable)changeDataApproverList( htbParam,objList[i] );

				//PrimaryApproverList個別テーブルへの登録処理を行います
				insertActionApproverList(htbDataList, objDataAccess, strTableName);
			}
		}
	}

	/**
	 * CafeteriaLo　個別テーブルへの登録処理を行います
	 * @param htbData パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void insertAction( Hashtable htbData, DataAccess objDataAccess )
		throws SQLException
	{

		// CafeteriaLoテーブル登録用SQLを生成します
		String strSQL = objDataAccess.getInsertSQL( htbData );
		// CafeteriaLoテーブル登録処理を実行
		objDataAccess.execute( strSQL );

	}

	/**
	 * CafeteriaLoList　個別テーブルへの登録処理を行います
	 * @param htbData パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void insertActionLoList( Hashtable htbData, DataAccess objDataAccess )
		throws SQLException
	{

		// CafeteriaLoListテーブル登録用SQLを生成します
		String strSQL = objDataAccess.getInsertSQL( htbData ,TABLE_NAME2);

		// CafeteriaLoListテーブル登録処理を実行
		objDataAccess.execute( strSQL );
	}

	/**
	 * ApproverList　個別テーブルへの登録処理を行います
	 * @param htbData パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void insertActionApproverList( Hashtable htbData, DataAccess objDataAccess, String strTableName )
		throws SQLException
	{
		String strSQL = objDataAccess.getInsertSQL( htbData ,strTableName);

		// PrimaryApproverListテーブル登録処理を実行
		objDataAccess.execute( strSQL );
	}

	/**
	 * Cafeteria　個別テーブルへ更新処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void update( Hashtable htbParam )
		throws LOException
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME);
		try {
			// トランザクションを開始する
			objDataAccess.trans();

			//①CafeteriaLo　個別テーブルへ更新処理
			updateAction( htbParam, objDataAccess );

			//②CafeteriaLoList　個別テーブルへの更新処理
			updateActionLoList(htbParam,objDataAccess);

			//③PrimaryApproverList　個別テーブルへの更新処理
			updateActionApproverList(htbParam,objDataAccess, TABLE_NAME4);

			//④ApproverList　個別テーブルへの更新処理
			updateActionApproverList(htbParam,objDataAccess, TABLE_NAME5);

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}

	/**
	 * ApproverList　個別テーブルへの更新処理を行います
	 * @param htbParam パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	public void updateActionApproverList( Hashtable htbParam, DataAccess objDataAccess, String strTableName )
		throws SQLException
	{

		//ApproverList　個別テーブルへの削除処理を行います
		deleteActionApproverList( htbParam, objDataAccess, strTableName );

		//ApproverList　テーブル必要なデータのみ取得し,登録処理を行う
		insertApproverList( htbParam, objDataAccess, strTableName );

	}

	/**
	 * CafeteriaLoList　個別テーブルへの更新処理を行います
	 * @param htbParam パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	public void updateActionLoList( Hashtable htbParam, DataAccess objDataAccess )
		throws SQLException
	{

		//①CafeteriaLoList　個別テーブルへの削除処理を行います
		deleteActionLoList( htbParam, objDataAccess );

		//②CafeteriaLoList　テーブル必要なデータのみ取得し,登録処理を行う
		insertLoList( htbParam, objDataAccess );

	}

	/**
	 * CafeteriaLo と CafeteriaLoList　個別テーブルへ削除処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void delete( Hashtable htbParam )
		throws LOException
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME);
		try {
			// トランザクションを開始する
			objDataAccess.trans();

			//①CafeteriaLo テーブル削除
			deleteAction( htbParam, objDataAccess );

			//②CafeteriaLoListテーブル削除
			deleteActionLoList( htbParam, objDataAccess );

			//③PrimaryApproverListテーブル削除
			deleteActionApproverList( htbParam, objDataAccess, TABLE_NAME4 );

			//④ApproverListテーブル削除
			deleteActionApproverList( htbParam, objDataAccess, TABLE_NAME5 );

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}

	/**
	 * Cafeteria　個別テーブルへの削除処理を行います
	 * @param htbParam パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void deleteAction( Hashtable htbParam, DataAccess objDataAccess )
		throws SQLException
	{

		// ハッシュから必要なデータのみ取得します
		Hashtable htbData = changeData( htbParam );

		// 検索条件文の取得
		String strCondition = (String)htbParam.get( "condition_key" );

		// 検索条件文が取得されていない場合
		if( strCondition == null ) {
			// LOIDを取得する
			String strLoID = (String)htbParam.get( LOID );
			if( strLoID != null ) {
				strCondition = " WHERE " + LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "'";
			}
		}
		if( strCondition == null ) {
			strCondition = "";
		}

		// 削除用SQLを生成します
		String strSQL = "DELETE FROM " + TABLE_NAME + strCondition;

		// 削除処理を実行
		objDataAccess.execute( strSQL );

	}
	/**
	 * CafeteriaLoList　個別テーブルへの削除処理を行います
	 * @param htbParam パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void deleteActionLoList( Hashtable htbParam, DataAccess objDataAccess )
		throws SQLException
	{

		// 検索条件文の取得
		String strCondition = (String)htbParam.get( "condition_key" );

		// 検索条件文が取得されていない場合
		if( strCondition == null ) {
			// LOIDを取得する
			String strLoID = (String)htbParam.get( LOID );
			if( strLoID != null ) {
				strCondition = " WHERE " + LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "'";
			}
		}
		if( strCondition == null ) {
			strCondition = "";
		}

		// 削除用SQLを生成します
		String strSQL = "DELETE FROM " + TABLE_NAME2 + strCondition;

		// 削除処理を実行
		objDataAccess.execute( strSQL );
	}
	/**
	 * ApproverList　個別テーブルへの削除処理を行います
	 * @param htbParam パラメータ
	 * @param objDataAccess パラメータ
	 * @exception SQLException DBエラー
	 */
	private void deleteActionApproverList( Hashtable htbParam, DataAccess objDataAccess, String strTableName )
		throws SQLException
	{

		// 検索条件文の取得
		String strCondition = (String)htbParam.get( "condition_key" );

		// 検索条件文が取得されていない場合
		if( strCondition == null ) {
			// LOIDを取得する
			String strLoID = (String)htbParam.get( LOID );
			if( strLoID != null ) {
				strCondition = " WHERE " + LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "'";
			}
		}
		if( strCondition == null ) {
			strCondition = "";
		}

		// 削除用SQLを生成します
		String strSQL = "DELETE FROM " + strTableName + strCondition;

		// 削除処理を実行
		objDataAccess.execute( strSQL );
	}
	/**
	 * CafeteriaLo　個別テーブルデータ取得処理
	 * @param htbParam パラメータ
	 */
	public CafeteriaLoData[] getData( Hashtable htbParam )
		throws LOException
	{
		CafeteriaLoData[] objResult = null;

		// 検索条件文の取得
		String strCondition = (String)htbParam.get( "condition_key" );

		// 検索条件文が取得されていない場合
		if( strCondition == null ) {
			String strLoID = (String)htbParam.get( LOID );
			if( strLoID != null ) {
				strCondition = " WHERE " + LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "'";
			}
			else {
				strCondition = "";
			}
		}

		// 検索SQLの組み立て
		String strSQL = "SELECT * FROM " + TABLE_NAME + strCondition;

		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME);
		try {
			// トランザクションを開始する
			objDataAccess.trans( htbParam );

			ResultSet rs = objDataAccess.executeQuery(strSQL);
			Vector vecResult = new Vector();

			while( rs.next() ) {
				CafeteriaLoData objData = new CafeteriaLoData();
				// セッションレコードにコピー
				objData.setLoID( ChangeEncode.setChar(rs.getString( LOID )) );
				objData.setWinHeight( ChangeEncode.setChar(rs.getString( WINHEIGHT )) );
				objData.setWinWidth( ChangeEncode.setChar(rs.getString( WINWIDTH )) );

				objData.setJougenControl( ChangeEncode.setChar(rs.getString( JOUGEN_CONTROL )) );
				objData.setApproveType( ChangeEncode.setChar(rs.getString( APPROVE_TYPE )) );
				objData.setKakinControl( ChangeEncode.setChar(rs.getString( KAKIN_CONTROL )) );
				objData.setAssignControl( ChangeEncode.setChar(rs.getString( ASSIGN_CONTROL )) );
				objData.setIndividualApplyMax( ChangeEncode.setChar(rs.getString( INDIVIDUAL_APPLY_MAX )) );
				objData.setApplyEmailAddress( ChangeEncode.setChar(rs.getString( APPLY_EMAIL_ADDRESS )) );
				// 結果格納用Vectorに格納
				vecResult.add( objData );
			}

			//CafeteriaLoListデータ取得
			CafeteriaLoListData[]  objListData = getLoListData(objDataAccess, strCondition);
			
			//CafeteriaPrimaryApproverListデータ取得
			CafeteriaApproverListData[]  objPrimaryApproverListData = getApproverListData(objDataAccess, strCondition, TABLE_NAME4);
			
			//CafeteriaApproverListデータ取得
			CafeteriaApproverListData[]  objApproverListData = getApproverListData(objDataAccess, strCondition, TABLE_NAME5);
			
			// コミット処理
			objDataAccess.commit();
			// 配列に変換
			objResult = new CafeteriaLoData[vecResult.size()];
			vecResult.copyInto( objResult );

			//CafeteriaLoListデータをセットする
			objResult[0].setLoList(objListData);

			//PrimaryApproverListデータをセットする
			objResult[0].setPrimaryApproverList(objPrimaryApproverListData);

			//ApproverListデータをセットする
			objResult[0].setApproverList(objApproverListData);

		}
		catch( SQLException se ) {
			se.printStackTrace();
			DebugLog.write( this.getClass(), se, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( se.getMessage() );
		}
		return objResult;
	}
	
	/**
	 * ApproverList　個別テーブルデータ取得処理
	 * @param objDataAccess パラメータ
	 * @param strCondition パラメータ
	 */
	public CafeteriaApproverListData[] getApproverListData( DataAccess objDataAccess ,String strCondition, String strTableName)
		throws LOException
	{
		CafeteriaApproverListData[] objResult = null;

		// 検索SQLの組み立て
		String strSQL = "SELECT * FROM " + strTableName + strCondition 
									+ " ORDER BY "+ LOID +","+SORT_NO;
		try {
			ResultSet rs = objDataAccess.executeQuery(strSQL);
			Vector vecResult = new Vector();
				
			while( rs.next() ) {
				CafeteriaApproverListData objDataList = new CafeteriaApproverListData();
				// セッションレコードにコピー
				objDataList.setLOID( ChangeEncode.setChar(rs.getString( LOID )) );
				objDataList.setUserID(ChangeEncode.setChar(rs.getString( USER_ID )) );
				objDataList.setSortNo( ChangeEncode.setChar(rs.getString( SORT_NO )) );
				// 結果格納用Vectorに格納
				vecResult.add( objDataList );
			}
			// 配列に変換
			objResult = new CafeteriaApproverListData[vecResult.size()];
			vecResult.copyInto( objResult );

			return objResult;
		}
		catch( SQLException se ) {
			se.printStackTrace();
			DebugLog.write( this.getClass(), se, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( se.getMessage() );
		}
	}

	/**
	 * CafeteriaLoList　個別テーブルデータ取得処理
	 * @param objDataAccess パラメータ
	 * @param strCondition パラメータ
	 */
	public CafeteriaLoListData[] getLoListData( DataAccess objDataAccess ,String strCondition)
		throws LOException
	{
		CafeteriaLoListData[] objResult = null;

		// 検索SQLの組み立て
		String strSQL = "SELECT * FROM " + TABLE_NAME2 + strCondition 
									+ " ORDER BY "+ LOID +","+SORT_NO;
		try {
			ResultSet rs = objDataAccess.executeQuery(strSQL);
			Vector vecResult = new Vector();
				
			while( rs.next() ) {
				CafeteriaLoListData objDataList = new CafeteriaLoListData();
				// セッションレコードにコピー
				objDataList.setLOID( ChangeEncode.setChar(rs.getString( LOID )) );
				objDataList.setCafeteriaListLOID( ChangeEncode.setChar(rs.getString( CAFETERIA_LIST_LOID )) );
				objDataList.setSortNo( ChangeEncode.setChar(rs.getString( SORT_NO )) );

				objDataList.setApplyMax( ChangeEncode.setChar(rs.getString( APPLY_MAX )) );
				objDataList.setApplyCnt( ChangeEncode.setChar(rs.getString( APPLY_CNT )) );
				objDataList.setApproveCnt( ChangeEncode.setChar(rs.getString( APPROVE_CNT )) );
				objDataList.setAccountPrice( ChangeEncode.setChar(rs.getString( ACCOUNT_PRICE )) );
				// 結果格納用Vectorに格納
				vecResult.add( objDataList );
			}
			// 配列に変換
			objResult = new CafeteriaLoListData[vecResult.size()];
			vecResult.copyInto( objResult );

			return objResult;
		}
		catch( SQLException se ) {
			se.printStackTrace();
			DebugLog.write( this.getClass(), se, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( se.getMessage() );
		}
	}

	/**
	 * CafeteriaLoテーブル登録、更新処理時のデータを組み立てます
	 * @param htbParam パラメータ
	 * @return Hashtable
	 */
	protected Hashtable changeData( Hashtable htbParam ) {
		Hashtable htbData = new Hashtable();

		putData( htbData, htbParam, LOID );					// LOID
		putData( htbData, htbParam, WINHEIGHT );			// Windowサイズ(縦)
		putData( htbData, htbParam, WINWIDTH );				// Windowサイズ(横)

		putData( htbData, htbParam, JOUGEN_CONTROL );		// ApproveControl
		putData( htbData, htbParam, KAKIN_CONTROL );		// KakinControl
		putData( htbData, htbParam, APPROVE_TYPE );			// ApproveType
		putData( htbData, htbParam, ASSIGN_CONTROL );		// AssignControl
		putData( htbData, htbParam, INDIVIDUAL_APPLY_MAX );	// IndividualApplyMax
		putData( htbData, htbParam, APPLY_EMAIL_ADDRESS );	// ApplyEmailAddress

		return htbData;
	}
	/**
	 * CafeteriaApproverListテーブル登録、更新処理時のデータを組み立てます
	 * @param htbParam パラメータ
	 * @return Hashtable
	 */
	private Hashtable changeDataApproverList( Hashtable htbParam ,CafeteriaApproverListData objList) {
		Hashtable htbData = new Hashtable();
		putData( htbData, htbParam, LOID );			// LOID
		putApproverDataList( htbData, objList);		// CafeteriaApproverList
		return htbData;
	}

	/**
	 * CafeteriaLoListテーブル登録、更新処理時のデータを組み立てます
	 * @param htbParam パラメータ
	 * @return Hashtable
	 */
	private Hashtable changeDataLoList( Hashtable htbParam ,CafeteriaLoListData objList) {
		Hashtable htbData = new Hashtable();
		putData( htbData, htbParam, LOID );			// LOID
		putDataList( htbData, objList);				//カフェテリアリスト
		return htbData;
	}

	/**
	 * CafeteriaLoListデータ安全にHashtableに追加するメソッドです
	 * @param htbData パラメータ
	 */
	private void putDataList( Hashtable htbData, CafeteriaLoListData objList ) {
		
		htbData.put( CAFETERIA_LIST_LOID, (String)objList.getCafeteriaListLOID() );	//カフェテリアLOID
		htbData.put( SORT_NO, (String)objList.getSortNo());							//カフェテリア表示順

		htbData.put( APPLY_MAX, (String)objList.getApplyMax());						//ApplyMax
		htbData.put( APPLY_CNT, (String)objList.getApplyCnt());						//ApplyCnt
		htbData.put( APPROVE_CNT, (String)objList.getApproveCnt());					//ApproveCnt
		htbData.put( ACCOUNT_PRICE, (String)objList.getAccountPrice());				//AccountPrice
	}

	/**
	 * CafeteriaApproverListデータ安全にHashtableに追加するメソッドです
	 * @param htbData パラメータ
	 */
	private void putApproverDataList( Hashtable htbData, CafeteriaApproverListData objList ) {
		
		htbData.put( USER_ID, (String)objList.getUserID());		//承認者UserLOID
		htbData.put( SORT_NO, (String)objList.getSortNo());		//承認者表示順
	}

	/**
	 * CafeteriaListLOAssignRequest　個別テーブルへ登録処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void insertAssignRequest( Hashtable htbParam )
		throws LOException, SQLException, Exception
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME3);
		try {
			// トランザクションを開始する
			objDataAccess.trans( htbParam );

			// CafeteriaListLOAssignRequestテーブル必要なデータのみ取得します
			Hashtable htbData = changeAssignRequestData( htbParam );
			
			String strCafeteriaListLOAssignRequestID = this.getNewCafeteriaListLOAssignRequestID(objDataAccess);
			htbData.put(ASSIGN_REQUEST_ID, SqlEscape.escape(strCafeteriaListLOAssignRequestID));
			
			insertAction( htbData, objDataAccess );

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			e.printStackTrace();
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}
	/**
	 * CafeteriaListLOAssignRequestテーブル登録、更新処理時のデータを組み立てます
	 * @param htbParam パラメータ
	 * @return Hashtable
	 */
	protected Hashtable changeAssignRequestData( Hashtable htbParam ) {
		Hashtable htbData = new Hashtable();

		putData( htbData, htbParam, ASSIGN_REQUEST_ID );	// AssignRequestID
		putData( htbData, htbParam, USER_ID );				// UserID
		putData( htbData, htbParam, LOID );					// LOID
		putData( htbData, htbParam, CAFETERIA_LIST_LOID );	// CafeteriaListLOID
		putData( htbData, htbParam, STATUS );				// Status
		putData( htbData, htbParam, REQUEST_DATE );			// RequestDate
		putData( htbData, htbParam, PRIMARYAPPROVE_DATE );	// PrimaryApproveDate
		putData( htbData, htbParam, PRIMARYAPPROVER );		// PrimaryApprover
		putData( htbData, htbParam, APPROVE_DATE );			// ApproveDate
		putData( htbData, htbParam, APPROVER );				// Approver
		putData( htbData, htbParam, ASSIGN_DATE );			// AssignDate
		putData( htbData, htbParam, ASSIGNER );				// Assigner
		putData( htbData, htbParam, REJECT_DATE );			// RejectDate
		putData( htbData, htbParam, REJECTER );				// Rejecter
		return htbData;
	}
	
	/**
	 * 新しいCafeteriaListLOAssignRequestIDを返す。
	 * @param objDataAccess データアクセスオブジェクト。
	 * @return String 新しいCafeteriaListLOAssignRequestID。
	 * @throws SQLException
	 */
	public String getNewCafeteriaListLOAssignRequestID(DataAccess objDataAccess)
		throws SQLException, Exception
	{
		String strSQL = null;
		Environment objEnv = new Environment();
		if (objEnv.getDBType().equals(Environment.DB_SQLSERVER))
		{
			strSQL = "SELECT MAX(CONVERT(INT, AssignRequestID)) + 1 AS MaxAssignRequestID FROM CafeteriaListLOAssignRequest";
		}
		else if (objEnv.getDBType().equals(Environment.DB_ORACLE))
		{
			strSQL = "SELECT MAX(TO_NUMBER(AssignRequestID)) + 1 AS MaxAssignRequestID FROM CafeteriaListLOAssignRequest";
		}
		else if (objEnv.getDBType().equals(Environment.DB_POSTGRE))
		{
			strSQL = "SELECT MAX(TO_NUMBER(AssignRequestID, '9999999999')) + 1 AS MaxAssignRequestID FROM CafeteriaListLOAssignRequest";
		}
		ResultSet rs = objDataAccess.executeQuery(strSQL);
		if (rs.next())
			return (new Integer(rs.getInt("MaxAssignRequestID"))).toString();
		else
			return "1";
	}
	
	/**
	 * CafeteriaListLOAssignRequest個別テーブルへ削除処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void deleteAssignRequest( Hashtable htbParam )
		throws LOException
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME3);
		try {
			// トランザクションを開始する
			objDataAccess.trans();

			//CafeteriaListLOAssignRequest個別テーブルへ削除処理
			deleteAssignRequestAction( htbParam, objDataAccess );

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}
	/**
	 * CafeteriaListLOAssignRequest個別テーブルへの削除処理を行います。
	 * @param htbParam パラメータ
	 * @param objDataAccess
     * 
	 * @exception SQLException DBエラー
	 */
	public void deleteAssignRequestAction(Hashtable htbParam, DataAccess objDataAccess)
		throws SQLException {

		// 削除条件文の作成
		String strSQL = "";
		String strAssignRequestID = (String) htbParam.get(ASSIGN_REQUEST_ID);
		strSQL = "DELETE FROM " + TABLE_NAME3 + " WHERE " + ASSIGN_REQUEST_ID + "='" + StringEscapeUtils.escapeSql(strAssignRequestID) + "'";

		// 更新処理を実行
		objDataAccess.execute(strSQL);
	}
	/**
	 * CafeteriaListLOAssignRequest個別テーブルへ更新処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void updateAssignRequest( Hashtable htbParam )
		throws LOException
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME3);
		try {
			// トランザクションを開始する
			objDataAccess.trans();

			//CafeteriaListLOAssignRequest個別テーブルへ更新処理
			updateAssignRequestAction( htbParam, objDataAccess );

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}
	/**
	 * CafeteriaListLOAssignRequest個別テーブルへの更新処理を行います。
	 * @param htbParam パラメータ
	 * @param objDataAccess
     * 
	 * @exception SQLException DBエラー
	 */
	public void updateAssignRequestAction(Hashtable htbParam, DataAccess objDataAccess)
		throws SQLException {

		// ハッシュから必要なデータのみ取得します
		Hashtable htbData = changeAssignRequestData(htbParam);

		// 更新用SQLを生成します
		String strSQL = objDataAccess.getUpdateSQL(htbData);

		// 更新条件文の作成
		String strCondition = "";
		String strAssignRequestID = (String) htbParam.get(ASSIGN_REQUEST_ID);
		strCondition = " WHERE " + ASSIGN_REQUEST_ID + "='" + StringEscapeUtils.escapeSql(strAssignRequestID) + "'";

		// SQL連結
		strSQL = strSQL + strCondition;

		// 更新処理を実行
		objDataAccess.execute(strSQL);
	}
	/**
	 * CafeteriaListLOAssignRequest　個別テーブルデータ取得処理
	 * @param htbParam パラメータ
	 */
	public CafeteriaListLOAssignRequestData[] selectAssignRequestData( Hashtable htbParam )
		throws LOException
	{
		CafeteriaListLOAssignRequestData[] objResult = null;

		// 検索条件文の取得
		String strCondition = (String)htbParam.get( LoPropertyDef.CONDITION_KEY );

		// 検索条件文が取得されていない場合
		if( strCondition == null ) {
			String strUserID = (String)htbParam.get( LoPropertyDef.USER );
			String strLoID = (String)htbParam.get( LoPropertyDef.LOID );
			String strCafeListLOID = (String)htbParam.get( CAFETERIA_LIST_LOID );
			String strStatus = (String)htbParam.get(STATUS);
			String strAssignRequestId = (String)htbParam.get(ASSIGN_REQUEST_ID);
			if(strUserID == null && strLoID == null && strCafeListLOID == null && strStatus == null && strAssignRequestId == null){
				strCondition = "";
			}
			else{
				int initFlag = 0;
				StringBuffer strBuffer = new StringBuffer();
				strBuffer.append(" WHERE ");
				if(strUserID != null && !strUserID.equals("")){
					strBuffer.append("\"" + USER_ID + "\" ='" + StringEscapeUtils.escapeSql(strUserID) + "' ");
					initFlag = 1;
				}
				if(strLoID != null && !strLoID.equals("")){
					if(initFlag == 1){
						strBuffer.append(" AND ");
					}
					strBuffer.append(LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "' ");
					initFlag = 1;
				}
				if(strCafeListLOID != null && !strCafeListLOID.equals("")){
					if(initFlag == 1){
						strBuffer.append(" AND ");
					}
					strBuffer.append(CAFETERIA_LIST_LOID + "='" + StringEscapeUtils.escapeSql(strCafeListLOID) + "' ");
					initFlag = 1;
				}
				if (strStatus != null && !strStatus.equals(""))
				{
					if(initFlag == 1){
						strBuffer.append(" AND ");
					}
					strBuffer.append("(" + STATUS + "='" + StringEscapeUtils.escapeSql(strStatus) + "') ");
					initFlag = 1;
				}
				if (strAssignRequestId != null && !strAssignRequestId.equals(""))
				{
					if(initFlag == 1){
						strBuffer.append(" AND ");
					}
					strBuffer.append("(" + ASSIGN_REQUEST_ID + "='" + StringEscapeUtils.escapeSql(strAssignRequestId) + "') ");
					initFlag = 1;
				}
				strCondition = strBuffer.toString();
			}
		}
		
		String strOrderBy = (String)htbParam.get(ORDER_BY_KEY);
		if (strOrderBy == null)
			strOrderBy = "";

		// 検索SQLの組み立て
		String strSQL = "SELECT * FROM " + TABLE_NAME3 + strCondition + strOrderBy;

		DebugLog.write( this.getClass(), strSQL, DebugLog.HIGHT );

		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME3);
		try {
			// トランザクションを開始する
			objDataAccess.trans( htbParam );

			ResultSet rs = objDataAccess.executeQuery(strSQL);
			Vector vecResult = new Vector();

			Timestamp ts = null;
			while( rs.next() ) {
				CafeteriaListLOAssignRequestData objData = new CafeteriaListLOAssignRequestData();
				// セッションレコードにコピー
				objData.setAssignRequestID(ChangeEncode.setChar(rs.getString(ASSIGN_REQUEST_ID)));
				objData.setUserID(ChangeEncode.setChar(rs.getString(USER_ID)));
				objData.setLOID((ChangeEncode.setChar(rs.getString(LOID))));
				objData.setCafeteriaListLOID(ChangeEncode.setChar(rs.getString(CAFETERIA_LIST_LOID)));
				objData.setStatus(ChangeEncode.setChar(rs.getString(STATUS)));
				objData.setRequestDate(ChangeEncode.setChar(this.getDateString(rs, REQUEST_DATE)));
				objData.setPrimaryApproveDate(ChangeEncode.setChar(this.getDateString(rs, PRIMARYAPPROVE_DATE)));
				objData.setPrimaryApprover(ChangeEncode.setChar(rs.getString(PRIMARYAPPROVER)));
				objData.setApproveDate(ChangeEncode.setChar(this.getDateString(rs, APPROVE_DATE)));
				objData.setApprover(ChangeEncode.setChar(rs.getString(APPROVER)));
				objData.setAssignDate(ChangeEncode.setChar(this.getDateString(rs, ASSIGN_DATE)));
				objData.setAssigner(ChangeEncode.setChar(rs.getString(ASSIGNER)));
				objData.setRejectDate(ChangeEncode.setChar(this.getDateString(rs, REJECT_DATE)));
				objData.setRejecter(ChangeEncode.setChar(rs.getString(REJECTER)));
				// 結果格納用Vectorに格納
				vecResult.add( objData );
			}

			// コミット処理
			objDataAccess.commit();
			// 配列に変換
			objResult = new CafeteriaListLOAssignRequestData[vecResult.size()];
			vecResult.copyInto( objResult );

		}
		catch( SQLException se ) {
			se.printStackTrace();
			DebugLog.write( this.getClass(), se, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( se.getMessage() );
		}
		return objResult;
	}
	
	
	/**
	 * 結果セットから日付文字列を取得して返す。
	 * @param rs
	 * @param columnName
	 * @return
	 * @throws SQLException
	 */
	private String getDateString(ResultSet rs, String columnName) throws SQLException
	{
		Timestamp ts = rs.getTimestamp(columnName);
		if (ts == null)
			return null;
		
		return XMODate.parseTime(ts);
		
	}
	
	/**
	 * CafeteriaLoList　個別テーブルデータ取得処理
	 * @param htbParam パラメータ
	 */
	public CafeteriaLoListData[] selectCafeteriaLoListData( Hashtable htbParam )
		throws LOException
	{
		CafeteriaLoListData[] objResult = null;

		// 検索条件文の取得
		String strCondition = (String)htbParam.get( "condition_key" );

		// 検索条件文が取得されていない場合
		if( strCondition == null ) {
			String strCafeListLOID = (String)htbParam.get( CAFETERIA_LIST_LOID );
			if(strCafeListLOID != null){
				strCondition = " WHERE " + CAFETERIA_LIST_LOID + "='" + StringEscapeUtils.escapeSql(strCafeListLOID) + "' ";
			}
		}

		// 検索SQLの組み立て
		String strSQL = "SELECT * FROM " + TABLE_NAME2 + strCondition;

		DebugLog.write( this.getClass(), strSQL, DebugLog.HIGHT );

		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME2);
		try {
			// トランザクションを開始する
			objDataAccess.trans( htbParam );

			ResultSet rs = objDataAccess.executeQuery(strSQL);
			Vector vecResult = new Vector();

			while( rs.next() ) {
				// セッションレコードにコピー
				CafeteriaLoListData objDataList = new CafeteriaLoListData();
				// セッションレコードにコピー
				objDataList.setLOID( ChangeEncode.setChar(rs.getString( LOID )) );
				objDataList.setCafeteriaListLOID( ChangeEncode.setChar(rs.getString( CAFETERIA_LIST_LOID )) );
				objDataList.setSortNo( ChangeEncode.setChar(rs.getString( SORT_NO )) );

				objDataList.setApplyMax( ChangeEncode.setChar(rs.getString( APPLY_MAX )) );
				objDataList.setApplyCnt( ChangeEncode.setChar(rs.getString( APPLY_CNT )) );
				objDataList.setApproveCnt( ChangeEncode.setChar(rs.getString( APPROVE_CNT )) );
				objDataList.setAccountPrice( ChangeEncode.setChar(rs.getString( ACCOUNT_PRICE )) );
				// 結果格納用Vectorに格納
				vecResult.add( objDataList );
			}

			// コミット処理
			objDataAccess.commit();
			// 配列に変換
			objResult = new CafeteriaLoListData[vecResult.size()];
			vecResult.copyInto( objResult );

		}
		catch( SQLException se ) {
			se.printStackTrace();
			DebugLog.write( this.getClass(), se, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( se.getMessage() );
		}
		return objResult;
	}

///////////////////////////////////////////////////////////////////////////////////////////	
// CafeteriaLoListData 単独用メソド
///////////////////////////////////////////////////////////////////////////////////////////	

	/**
	 * CafeteriaLo_LoList　個別テーブルへ登録処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void insertCafeteriaListLo( Hashtable htbParam )
		throws LOException, SQLException, Exception
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME2);
		try {
			// トランザクションを開始する
			objDataAccess.trans( htbParam );

			// CafeteriaLo_LoListテーブル必要なデータのみ取得します
			Hashtable htbData = changeCafeteriaListLoData( htbParam );
			
			insertAction( htbData, objDataAccess );

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			e.printStackTrace();
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}
	/**
	 * CafeteriaLo_LoListテーブル登録、更新処理時のデータを組み立てます
	 * @param htbParam パラメータ
	 * @return Hashtable
	 */
	protected Hashtable changeCafeteriaListLoData( Hashtable htbParam ) {
		Hashtable htbData = new Hashtable();

		putData( htbData, htbParam, LOID );					// LOID
		putData( htbData, htbParam, CAFETERIA_LIST_LOID );	// CafeteriaListLOID
		putData( htbData, htbParam, SORT_NO );
		putData( htbData, htbParam, APPLY_MAX );
		putData( htbData, htbParam, APPLY_CNT );
		putData( htbData, htbParam, APPROVE_CNT );
		putData( htbData, htbParam, ACCOUNT_PRICE );
		return htbData;
	}
	
	/**
	 * CafeteriaLo_LoList個別テーブルへ削除処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void deleteCafeteriaListLo( Hashtable htbParam )
		throws LOException
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME2);
		try {
			// トランザクションを開始する
			objDataAccess.trans();

			//CafeteriaLo_LoList個別テーブルへ削除処理
			deleteCafeteriaListLoAction( htbParam, objDataAccess );

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}
	/**
	 * CafeteriaLo_LoList個別テーブルへの削除処理を行います。
	 * @param htbParam パラメータ
	 * @param objDataAccess
     * 
	 * @exception SQLException DBエラー
	 */
	public void deleteCafeteriaListLoAction(Hashtable htbParam, DataAccess objDataAccess)
		throws SQLException {

		// 削除条件文の作成
		String strSQL = "";
		String strLoID = (String) htbParam.get(LOID);
		String strCafeteriaListLoID = (String) htbParam.get(CAFETERIA_LIST_LOID);
		strSQL = "DELETE FROM " + TABLE_NAME2 + " WHERE " + LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "' AND "+ CAFETERIA_LIST_LOID + "='" + StringEscapeUtils.escapeSql(strCafeteriaListLoID) + "'";

		// 更新処理を実行
		objDataAccess.execute(strSQL);
	}
	/**
	 * CafeteriaLo_LoList個別テーブルへ更新処理を行います
	 * @param htbParam パラメータ
	 * @exception LOException LO独自例外
	 */
	public synchronized void updateCafeteriaListLo( Hashtable htbParam )
		throws LOException
	{
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME2);
		try {
			// トランザクションを開始する
			objDataAccess.trans();

			//CafeteriaLo_LoList個別テーブルへ更新処理
			updateCafeteriaListLoAction( htbParam, objDataAccess );

			// コミット処理
			objDataAccess.commit();
		}
		catch( SQLException e ) {
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( e.getMessage() );
		}
	}
	/**
	 * CafeteriaLo_LoList個別テーブルへの更新処理を行います。
	 * @param htbParam パラメータ
	 * @param objDataAccess
     * 
	 * @exception SQLException DBエラー
	 */
	public void updateCafeteriaListLoAction(Hashtable htbParam, DataAccess objDataAccess)
		throws SQLException {

		// ハッシュから必要なデータのみ取得します
		Hashtable htbData = changeCafeteriaListLoData(htbParam);

		// 更新用SQLを生成します
		String strSQL = objDataAccess.getUpdateSQL(htbData);

		// 更新条件文の作成
		String strCondition = "";
		String strLoID = (String) htbParam.get(LOID);
		String strCafeteriaListLoID = (String) htbParam.get(CAFETERIA_LIST_LOID);
		strCondition = " WHERE " + LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "' AND "+ CAFETERIA_LIST_LOID + "='" + StringEscapeUtils.escapeSql(strCafeteriaListLoID) + "'";

		// SQL連結
		strSQL = strSQL + strCondition;

		// 更新処理を実行
		objDataAccess.execute(strSQL);
	}
	/**
	 * CafeteriaLo_LoList　個別テーブルデータ取得処理
	 * @param htbParam パラメータ
	 */
	public CafeteriaLoListData[] selectCafeteriaListLo( Hashtable htbParam )
		throws LOException
	{
		CafeteriaLoListData[] objResult = null;

		// 検索条件文の取得
		String strCondition = (String)htbParam.get( "condition_key" );

		// 検索条件文が取得されていない場合
		if( strCondition == null ) {
			String strLoID = (String) htbParam.get(LOID);
			String strCafeteriaListLoID = (String) htbParam.get(CAFETERIA_LIST_LOID);
			strCondition = " WHERE " + LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "' AND "+ CAFETERIA_LIST_LOID + "='" + StringEscapeUtils.escapeSql(strCafeteriaListLoID) + "'";
		}

		// 検索SQLの組み立て
		String strSQL = "SELECT * FROM " + TABLE_NAME2 + strCondition;

		DebugLog.write( this.getClass(), strSQL, DebugLog.HIGHT );

		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME2);
		try {
			// トランザクションを開始する
			objDataAccess.trans( htbParam );

			ResultSet rs = objDataAccess.executeQuery(strSQL);
			Vector vecResult = new Vector();

			while( rs.next() ) {
				CafeteriaLoListData objData = new CafeteriaLoListData();
				// セッションレコードにコピー
				objData.setLOID( ChangeEncode.setChar(rs.getString( LOID )) );
				objData.setCafeteriaListLOID( ChangeEncode.setChar(rs.getString( CAFETERIA_LIST_LOID )) );
				objData.setSortNo( ChangeEncode.setChar(rs.getString( SORT_NO )) );
				objData.setApplyMax( ChangeEncode.setChar(rs.getString( APPLY_MAX )) );
				objData.setApplyCnt( ChangeEncode.setChar(rs.getString( APPLY_CNT )) );
				objData.setApproveCnt( ChangeEncode.setChar(rs.getString( APPROVE_CNT )) );
				objData.setAccountPrice( ChangeEncode.setChar(rs.getString( ACCOUNT_PRICE )) );

				// 結果格納用Vectorに格納
				vecResult.add( objData );
			}

			// コミット処理
			objDataAccess.commit();
			// 配列に変換
			objResult = new CafeteriaLoListData[vecResult.size()];
			vecResult.copyInto( objResult );

		}
		catch( SQLException se ) {
			se.printStackTrace();
			DebugLog.write( this.getClass(), se, DebugLog.HIGHT );
			// ロールバック
			try { objDataAccess.rollback(); } catch( Exception ex ) {}
			// データベースエラーを設定
			throw new LOException( se.getMessage() );
		}
		return objResult;
	}
}

